Bug 812765 - [as7] deployment sub-objects are missing metrics/operations
[as7] deployment sub-objects are missing metrics/operations
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-16 03:51 EDT by Heiko W. Rupp
Modified: 2013-09-01 15:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:20:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-04-16 03:51:25 EDT
war :
- restart operation
- contextRoot metric
- virtualHosts metric

ejb3-jar: 
- restart operation
Comment 1 Stefan Negrea 2012-04-24 15:58:35 EDT
Added context root and virtual host metrics to the web runtime subsystem. 

As a small issue, the metrics get collected however the two attributes are not present in the resource description. This is the reasons the two metrics were not added when the subsystem was added to the descriptor. Reported this https://issues.jboss.org/browse/AS7-4608
Comment 2 Stefan Negrea 2012-04-24 16:06:35 EDT
There are no operations or attributes exposed on the EJB3 deployment subsystem to restart just that subsystem. This should be done at deployment level.
Comment 3 Stefan Negrea 2012-04-24 18:03:01 EDT
Added restart operation for all deployments as a composite of disable+enable. A proper restart operation is not exposed on the actual deployment.
Comment 4 Heiko W. Rupp 2013-09-01 15:20:35 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.